﻿/*.header-menu {
    position: fixed;
    top: 2rem;
    left: 0;
    right: 2rem;
    z-index: 9999;
    background-color: transparent !important;
}*/

@media (min-width: 992px){
    .btn-menu {
        color: white;
        margin: 0.3rem;
        background-color: #904efa;
        border-radius: 0.5rem;
        box-shadow: 0 4px 12px rgba(0,0,0,0.45);
        white-space: nowrap;
        text-overflow: ellipsis;
    }
} 




.header-menu {
    position: fixed;
    top: 0; 
    left: 0;
    right: 0;
    z-index: 9999;
    background-color: transparent;
    transition: all 0.3s ease-in-out; 
    padding: 10px 0;
}


.header-scrolled {
    background: #4F4F4F; 
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    padding: 0 0; 
}


@media (max-width: 991px) {
    #navbarMobile {
        background: rgba(30, 33, 36, 0.95);
        backdrop-filter: blur(12px);
        -webkit-backdrop-filter: blur(12px);
        border-radius: 12px;
        padding: 1rem;
        margin-top: 1rem;
        text-align: center;
        box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    }
}


.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1) !important; 
    border: 1px solid rgba(240, 255, 255, 0.4) !important; 
    border-radius: 8px;
    padding: 6px 10px;
    box-shadow: 0 0 0 0.25rem rgba(144, 78, 250, 0.25) !important;
}


.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28240, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2.5' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
}


.navbar-toggler:focus {
    outline: none;
    box-shadow: 0 0 0 0.25rem rgba(144, 78, 250, 0.25) !important;
}

